Bug 135066 - PDF is displayed garbled, older xpdf works
PDF is displayed garbled, older xpdf works
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 09:22 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 11:25:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evince patch (1.81 KB, patch)
2005-01-26 10:14 EST, Marco Pesenti Gritti
no flags Details | Diff

  None (edit)
Description Ralf Ertzinger 2004-10-08 09:22:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
The PDF file available at
http://pbfixit.com/Guide/50/ScrewGuide.pdf
displays garbled with xpdf. Older versions (tested 2.02pl1 and 2.01)
work fine, I've got a working report from 3.00 from Debian, too.\

ggv claims that the file is invalid PDF.

Version-Release number of selected component (if applicable):
xpdf-3.00-5

How reproducible:
Always

Steps to Reproduce:
1. Display file with xpdf
2.
3.
    

Actual Results:  Garbled fonts, pictures are ok

Expected Results:  Clear fonts

Additional info:
Comment 1 Ngo Than 2004-10-26 10:27:55 EDT
it seems that new freetype-2.1.9 causes this problem. Does it work for
you if you reinstall the old freetype-2.1.7?

which version of freetype is used on debian?
Comment 2 Ralf Ertzinger 2004-10-26 13:03:03 EDT
Going back to 2.1.7 (from FC2) fixes it.

Debian seems to use 2.1.7, too.
Comment 3 Göran Uddeborg 2004-11-12 10:18:09 EST
This also hits the Enterprise branch.  More specifically, it is an
issue in the second beta for RHEL 4.
Comment 5 Marco Pesenti Gritti 2005-01-26 10:14:07 EST
Created attachment 110246 [details]
evince patch
Comment 6 Marco Pesenti Gritti 2005-01-26 10:15:40 EST
This is the patch I applied to evince (ported from kpdf). It should
work for xpdf too...
Comment 7 Ralf Ertzinger 2005-01-26 10:18:33 EST
This isn't applied to evince-0.1.0-0.20050120 (from jkatz) yet, right?
Because this version fails on the same PDFs as xpdf does.
Comment 8 Marco Pesenti Gritti 2005-01-26 10:20:45 EST
No, I checked in the patch two minutes ago ;)
Comment 9 Ngo Than 2005-01-26 11:25:50 EST
The problem is now fixed in xpdf-3.00-15. It will showup in rawhide
soon. Marco, thanks for your info. 
Comment 10 Mark J. Cox (Product Security) 2005-02-15 04:27:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-034.html

Note You need to log in before you can comment on or make changes to this bug.